Bug 759641 - Preupgrade does not place the "root (hd0,2)" line in grub.conf for its boot kernel
Preupgrade does not place the "root (hd0,2)" line in grub.conf for its boot k...
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-12-02 16:58 EST by Jonathan Briggs
Modified: 2012-08-07 12:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 12:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Briggs 2011-12-02 16:58:28 EST
Description of problem:
Preupgrade cannot start because it installed a non-working GRUB boot entry.

Version-Release number of selected component (if applicable):

How reproducible:
Only tried this once.

Steps to Reproduce:
1. Install preupgrade on FC15.
2. Attempt to upgrade to FC16.
3. Reboot
Actual results:
Unable to boot the install kernel.

Expected results:
Should boot into anaconda upgrade.

Additional info:
System is in UEFI mode, so default / directory for GRUB is in EFI/redhat/
Even if it wasn't using UEFI a /boot partition that was perhaps in partition 2 would still mess this up.
Comment 1 Martí­n Marqués 2012-02-06 09:18:34 EST
Looks like this was the problem I have being having.

Preupgrades update kernel starts, but is unable to find the root partition.

I try adding it to grub.conf to see if I can finish the upgrade process.
Comment 2 Nicholas Miell 2012-05-30 20:27:02 EDT
Modulo the grub to grub2 syntax changes, this is still a problem with the Fedora 16 to Fedora 17 preupgrade with preupgrade-1.1.10-1.fc16.noarch.

Manually adding the "set root='(hd0,msdos1)'" in the grub editor allows the system to boot into Anaconda.
Comment 3 Fedora End Of Life 2012-08-07 12:20:57 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.